<?php

/**
 * @copyright 2024 Double Bastion LLC <www.doublebastion.com>
 *
 * @author Double Bastion LLC
 *
 * @license GNU AGPL version 3 or any later version
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU AFFERO GENERAL PUBLIC LICENSE
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU AFFERO GENERAL PUBLIC LICENSE for more details.
 *
 * You should have received a copy of the GNU Affero General Public
 * License along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

session_start();

if ($_SESSION['loggedtorspanel'] == true) {

 $stat1_init = shell_exec("free");
 $stat1 = explode("\n", $stat1_init);

 $ram1_init = explode(" ", $stat1[1]);
 $getnonemptyram1 = array_filter($ram1_init, 'strlen');
 $ram1 = array_values($getnonemptyram1);

 $swap1_init = explode(" ", $stat1[2]);
 $getnonemptyswap1 = array_filter($swap1_init, 'strlen');
 $swap1 = array_values($getnonemptyswap1);

 $ramtotal = $ram1[1];
 $swaptotal = $swap1[1];

 $rampercent = round(($ram1[2] * 100) / $ramtotal, 2);
 $swappercent = round(($swap1[2] * 100) / $swaptotal, 2);

 $memory = array();
 $memory['ram'] = $rampercent;
 $memory['swap'] = $swappercent;

 echo json_encode($memory);

} else {
      header("Location: panel-login.php");
}

?>
